<template>
  <img
    v-bind="$attrs"
    :src="prefix + src"
  >
</template>

<script setup lang="ts">
const props = defineProps({
  src: {
    type: String,
    default: '',
  },
  cdn: {
    type: Boolean,
    default: true,
  },
});

const CDN_URL = process.env.VUE_APP_SERVER_URL;
let prefix = CDN_URL;

if (props.cdn) {
  const CDN_PREFIX_PATH = 'cdn/';

  prefix += CDN_PREFIX_PATH;
} else {
  prefix += 'static';
}
</script>
